## GORG64_509.tar.xz

=== Makefile ===
PATH := $(PATH):/usr/local/sbin:/usr/sbin:/sbin

gorg64:
	./compile_gorg64.sh

spkplay:
	fpc -CX -XX -Cg -k-pie -k-znow -O4 gorg64_spkplay.pas
	fpc -CX -XX -Cg -k-pie -k-znow -O4 gorg64_spkplay_syscalls.pas
	fpc -CX -XX -Cg -k-pie -k-znow -O4 gorg64_spktone.pas

suidroot :
	chown root:root gorg64_spkplay gorg64_spktone gorg64_spkon gorg64_spkoff
	chmod =04755 gorg64_spkplay gorg64_spktone gorg64_spkon gorg64_spkoff

drstatotxt:
	fpc drstatotxt.pas

obtainmse :
	./obtainmse.sh

compilemse:
	./compile_mse.sh

updatefpgui:
	git -C fpGUI pull
	echo "Run ./fpGUI/src/build.sh for build" 

source:
	dpkg-source -b .

archive:
	fpc -B -Cg -k-pie -k-znow -O2 -CX -XX ver.pas
	-rm -f ver.o
	-sstrip ver
	./ver ar

clean:
	-rm -f *.o *.a *.ppu *.bak gorg64_spkplay alarm gorg64 gorg64_spkoff link*.res *.rsj gorg64*.deb
	-rm -f gorg64_spkplay_syscalls gorg64_spkplay_evdev gorg64_spkplay_alsa core gorg64_spktone gorg64_spkon gorg64_runner wavrec wavnorm sortucs4
	-rm -f untar chext todo ver xsendenter fpcpiepatch *.bak1 mseide msepatch mseguiintf.pas form2pas data2pas bmp2pas ideU dclockpanel renice_tree voicestarter vc2 termometeropenweathermap termometerwttr
	-rm -f ttaenc wavfix o.opt acmp gcmp fpwm gwm quad paq9a glock qed _true _false
	-rm -r -f ./units/
	-rm -r -f ./libttaR/build/
	-find ./ \( -name "o.opt" -o -name "link*.res" -o -name "*~" -o -name "*.ppu" -o -name "*.o" -o -name "*_mfm.pas" -o -name "*.a" -o -name "*.bak" -o -name "*.bak1" \)  -delete
	-rm -f ./mseide-msegui/apps/ide/mseide
	-mkdir ./units/
	-rm -f ./ttaenc-3.4.1-src/ttaenc ./ttaenc-3.4.1-src/ttaenc.o
	-rm -f ./fpwm-code/lib/x86_64-linux/*

install:
	dpkg -i gorg64_2.0.0-1_amd64.deb

deb:
	./compile_mse.sh
	./compile_tta.sh
	./compile_ttaR.sh
	./compile_wavfix.sh
	./obtainideU.sh
	./compile_ideu.sh
	./compile_quad.sh
	./compile_paq9a.sh
	./compile_glock.sh
	./compile_qed.sh
	-rm -r -f usr
	-mkdir -m =00755 ./usr/ ./usr/bin/ ./usr/lib/ ./usr/include/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/gorg64/ ./usr/share/doc/gorg64/lang_s/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/man/man3/ ./usr/share/pixmaps/ ./usr/share/man/ru/ ./usr/share/man/ru/man1/
	cp gorg64 gorg64_spkplay gorg64_spktone gorg64_spkon gorg64_spkoff gorg64_runner wavrec wavnorm chext untar todo renice_tree ttaenc xsendenter sortucs4 ./libttaR/build/ttar mseide form2pas data2pas bmp2pas ideU dclockpanel wavfix quad paq9a glock qed _true _false voicestarter vc2 termometeropenweathermap termometerwttr ./usr/bin/
	cp ./libttaR/build/libttar.so ./usr/lib/
	cp ./libttaR/build/libttar.h ./usr/include/
	./compile_leafpad.sh
	./compile_lazprog.sh
	sstrip ./usr/bin/* ./usr/lib/*
	cp *.desktop ./usr/share/applications/
	cp *.png ./usr/share/pixmaps/
	cp copyright ./usr/share/doc/gorg64/
	cp ./lang_s/*.txt ./usr/share/doc/gorg64/lang_s/
	gzip -n -9 -c changelog > ./usr/share/doc/gorg64/changelog.gz
	tar -c --xz sound music script voicedigits > ./usr/share/doc/gorg64/files.tar.xz
	cp -r ./petrovich-ruby/ ./usr/share/doc/gorg64/
	find ./ -maxdepth 1 -name "*.1" -type f -exec gzip -f -n -9 -k '{}' \;
	find ./ -maxdepth 1 -name "*.3" -type f -exec gzip -f -n -9 -k '{}' \;
	mv *.1.gz ./usr/share/man/man1/
	mv *.3.gz ./usr/share/man/man3/
	gzip -n -9 -c ./manru/gorg64.1 > ./usr/share/man/ru/man1/gorg64.1.gz
	gzip -n -9 -c ./manru/gorg64_spkplay.1 > ./usr/share/man/ru/man1/gorg64_spkplay.1.gz
	gzip -n -9 -c ./manru/gorg64_spktone.1 > ./usr/share/man/ru/man1/gorg64_spktone.1.gz
	gzip -n -9 -c ./manru/gorg64_spkon.1 > ./usr/share/man/ru/man1/gorg64_spkon.1.gz
	gzip -n -9 -c ./manru/gorg64_spkoff.1 > ./usr/share/man/ru/man1/gorg64_spkoff.1.gz
	gzip -n -9 -c ./manru/wavrec.ru.1 > ./usr/share/man/ru/man1/wavrec.1.gz
	gzip -n -9 -c ./manru/wavnorm.ru.1 > ./usr/share/man/ru/man1/wavnorm.1.gz
	gzip -n -9 -c ./manru/petrovich.1 > ./usr/share/man/ru/man1/petrovich.1.gz
	gzip -n -9 -c leafpad.1 > ./usr/share/man/man1/leafpad.1.gz
	find ./usr/ -type d -exec chmod =00755 '{}' \;
	find ./usr/ -type f -exec chmod =00644 '{}' \;
	find usr/ -type f -exec md5sum \{\} \; > md5sums
	chmod =00644 md5sums
	chmod =00755 usr/bin/*
	cd usr/lib/ && ln -s libttar.so libttar.so.1
	chmod =00644 usr/lib/*
	chmod =00755 usr/share/doc/gorg64/petrovich-ruby/ usr/share/doc/gorg64/petrovich-ruby/bin/petrovich usr/share/doc/gorg64/petrovich-ruby/rules/check.rb
	chmod =00644 control
	-rm -f control.tar.xz data.tar.zst data.tar.xz data.tar data.tar.bz2
	tar -c --owner=root --group=root -f control.tar postinst postrm control md5sums triggers shlibs
	xz -e control.tar
	tar -c --owner=root --group=root -f data.tar usr
	zstd --ultra data.tar
	-rm -r -f usr
	-rm -f gorg64_2.0.0-1_amd64.deb
	ar q gorg64_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.zst
	-rm -f control.tar.xz data.tar.zst data.tar.xz data.tar data.tar.bz2 md5sums
	-lintian --tag-display-limit 0 gorg64_2.0.0-1_amd64.deb
.PHONY: clean

=== clockpanel/Makefile ===
all :
	    fpc -XX -CX clockpanel.pas
	    -_upx clockpanel
	    -./rop mv\ -f rop_suexe rop_tmp
	    fpc -XX -CX rop.pas
	    fpc -XX -CX rop_data.pas
	    fpc -XX -CX rop_exe.pas
	    fpc -XX -CX rop_suexe.pas
	    -upx rop rop_exe rop_suexe rop_data
	    ./rop_tmp ./rop_suexe
	    -./rop rm\ -f ./rop_tmp ./rop.o ./rop_exe.o ./rop_suexe.o ./rop_data.o
	    ./rop_suexe ./rop ./rop_exe ./rop_suexe ./rop_data

clean :
	    -rm *.o *.a *.ppu clockpanel
	    -rm -r -f usr

deb :
	    -fakeroot rm\ -r\ -f\ ./usr
	    mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp clockpanel ./usr/bin/
	    cp clockpanel.desktop ./usr/share/applications/
	    cp clockpanel.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/clockpanel/
	    gzip -n -9 -c changelog > ./usr/share/doc/clockpanel/changelog.gz
	    gzip -n -9 -c clockpanel.1 > ./usr/share/man/man1/clockpanel.1.gz
	    -./rop_exe ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/man/ ./usr/share/pixmaps/ ./usr/share/man/man1/ ./usr/share/applications/ ./usr/bin/clockpanel
	    ./rop_data ./usr/share/applications/clockpanel.desktop ./usr/share/doc/clockpanel/copyright ./usr/share/doc/clockpanel/changelog.gz ./usr/share/man/man1/clockpanel.1.gz ./usr/share/pixmaps/clockpanel.png
	    -./rop rm\ md5sums
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    -./rop_data md5sums
	    -./rop_exe postinst
	    tar -c md5sums postinst control | xz -e > control.tar.xz
	    tar -c usr | xz -e > data.tar.xz
	    -rm clockpanel_2.0.0-1_amd64.deb
	    ar q clockpanel_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -./rop rm\ control.tar.xz\ data.tar.xz\ md5sums
	    -rm -r -f usr
	    -lintian clockpanel_2.0.0-1_amd64.deb

=== clockpanelsm/Makefile ===
all :
	fpc -XX -CX -Xs -O4 clockpanel.pas
	-rm -f *.o *.a *.ppu
	-sstrip clockpanel

gtk4:
	mold -run gcc -flto -fPIE -pie -O4 -funroll-loops -msse4a -fforce-addr -falign-functions=4 -ffast-math `pkg-config --cflags gtk4` -o clockpanel clockpanel.c `pkg-config --libs gtk4`
	-rm -f *.o *.a *.ppu
	-sstrip clockpanel

upx:
	upx clockpanel

clean :
	-rm -f *.o *.a *.ppu clockpanel
	-rm -r -f usr

deb :
	    -strip clockpanel
	    -rm -r -f usr
	    -mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp clockpanel ./usr/bin/
	    cp clockpanel.desktop ./usr/share/applications/
	    cp clockpanel.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/clockpanel/
	    gzip -n -9 -c changelog > ./usr/share/doc/clockpanel/changelog.gz
	    gzip -n -9 -c clockpanel.1 > ./usr/share/man/man1/clockpanel.1.gz
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    tar -c --xz --owner=root --group=root -f control.tar.xz control md5sums postinst
	    tar -c --xz  --owner=root --group=root -f data.tar.xz usr
	    -rm -r -f usr
	    -rm clockpanel_2.0.0-1_amd64.deb
	    ar q clockpanel_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -rm control.tar.xz data.tar.xz md5sums
	    -lintian --no-tag-display-limit clockpanel_2.0.0-1_amd64.deb

=== clockpblack2/Makefile ===
all :
	    fpc -XX -CX -Xs -O4 clockpanel.pas
	    -upx clockpanel
rops:
	    -./rop mv\ -f rop_suexe rop_tmp
	    fpc -XX -CX rop.pas
	    fpc -XX -CX rop_data.pas
	    fpc -XX -CX rop_exe.pas
	    fpc -XX -CX rop_suexe.pas
	    -upx rop rop_exe rop_suexe rop_data
	    ./rop_tmp ./rop_suexe
	    -./rop rm\ -f ./rop_tmp ./rop.o ./rop_exe.o ./rop_suexe.o ./rop_data.o
	    ./rop_suexe ./rop ./rop_exe ./rop_suexe ./rop_data

clean :
	    -rm *.o *.a *.ppu clockpanel
	    -rm -r -f usr

deb :
	    -fakeroot rm\ -r\ -f\ ./usr
	    mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp clockpanel ./usr/bin/
	    cp clockpanel.desktop ./usr/share/applications/
	    cp clockpanel.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/clockpanel/
	    gzip -n -9 -c changelog > ./usr/share/doc/clockpanel/changelog.gz
	    gzip -n -9 -c clockpanel.1 > ./usr/share/man/man1/clockpanel.1.gz
	    -./rop_exe ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/man/ ./usr/share/pixmaps/ ./usr/share/man/man1/ ./usr/share/applications/ ./usr/bin/clockpanel
	    ./rop_data ./usr/share/applications/clockpanel.desktop ./usr/share/doc/clockpanel/copyright ./usr/share/doc/clockpanel/changelog.gz ./usr/share/man/man1/clockpanel.1.gz ./usr/share/pixmaps/clockpanel.png
	    -./rop rm\ md5sums
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    -./rop_data md5sums
	    -./rop_exe postinst
	    tar -c md5sums postinst control | xz -e > control.tar.xz
	    tar -c usr | xz -e > data.tar.xz
	    -rm clockpanel_2.0.0-1_amd64.deb
	    ar q clockpanel_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -./rop rm\ control.tar.xz\ data.tar.xz\ md5sums
	    -rm -r -f usr
	    -lintian clockpanel_2.0.0-1_amd64.deb

=== clockpwhite4/Makefile ===
all :
	    fpc -XX -CX -Xs -O4 clockpanel.pas
	    -rm *.o *.a *.ppu
	    -upx clockpanel

clean :
	    -rm *.o *.a *.ppu clockpanel
	    -rm -r -f usr

deb :
	    -strip clockpanel
	    -rm -r -f usr
	    -mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp clockpanel ./usr/bin/
	    cp clockpanel.desktop ./usr/share/applications/
	    cp clockpanel.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/clockpanel/
	    gzip -n -9 -c changelog > ./usr/share/doc/clockpanel/changelog.gz
	    gzip -n -9 -c clockpanel.1 > ./usr/share/man/man1/clockpanel.1.gz
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    tar -c --xz --owner=root --group=root -f control.tar.xz control md5sums postinst
	    tar -c --xz  --owner=root --group=root -f data.tar.xz usr
	    -rm -r -f usr
	    -rm clockpanel_2.0.0-1_amd64.deb
	    ar q clockpanel_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -rm control.tar.xz data.tar.xz md5sums
	    -lintian --no-tag-display-limit clockpanel_2.0.0-1_amd64.deb

=== clockpwhite6/Makefile ===
all :
	fpc -Cg -XX -CX -Xs -O4 clockpanel.pas
	-rm *.o *.a *.ppu
	-sstrip clockpanel
	-upx clockpanel
	-sstrip clockpanel

clean :
	-rm *.o *.a *.ppu clockpanel
	-rm -r -f usr

deb :
	-strip clockpanel
	-rm -r -f usr
	-mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	cp clockpanel ./usr/bin/
	cp clockpanel.desktop ./usr/share/applications/
	cp clockpanel.png ./usr/share/pixmaps/
	cp copyright ./usr/share/doc/clockpanel/
	gzip -n -9 -c changelog > ./usr/share/doc/clockpanel/changelog.gz
	gzip -n -9 -c clockpanel.1 > ./usr/share/man/man1/clockpanel.1.gz
	find usr/ -type f -exec md5sum \{\} \; > md5sums
	tar -c --xz --owner=root --group=root -f control.tar.xz control md5sums postinst
	tar -c --xz  --owner=root --group=root -f data.tar.xz usr
	-rm -r -f usr
	-rm clockpanel_2.0.0-1_amd64.deb
	ar q clockpanel_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	-rm control.tar.xz data.tar.xz md5sums
	-lintian --tag-display-limit 0 clockpanel_2.0.0-1_amd64.deb

=== dclockspec4/Makefile ===
all :
	fpc -Xs- -Ow -FWo.opt -OWAll -Cg -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc dclockpanel.pas
	fpc -Xs- -Ow -FWo.opt -OWAll -Cg -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc termometeropenweathermap.pas
	fpc -Xs- -Ow -FWo.opt -OWAll -Cg -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc termometerwttr.pas

clean :
	-rm -f *.o *.a *.ppu o.opt dclockpanel termometeropenweathermap termometerwttr

=== gcmpcl/Makefile ===
all :
	fpc -B -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc -Cg acmp.pas
	-sstrip acmp
	lazbuild gcmp.lpi
	-sstrip gcmp

clean :
	    -rm *.o *.a *.ppu acmp gcmpc_test gcmp
	    -rm -r lib backup

=== gorgclockwide/Makefile ===
all :
	    fpc -XX -CX gorgclock.pas

clean :
	    -rm *.o *.a *.ppu gorgclock
	    -rm -r -f usr

deb :
	    -rm -r -f usr
	    -mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/gorgclock/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp gorgclock ./usr/bin/
	    cp gorgclock.desktop ./usr/share/applications/
	    cp gorgclock.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/gorgclock/
	    gzip -n -9 -c changelog > ./usr/share/doc/gorgclock/changelog.gz
	    gzip -n -9 -c gorgclock.1 > ./usr/share/man/man1/gorgclock.1.gz
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    tar -c --xz --owner=root --group=root -f control.tar.xz postinst control md5sums
	    tar -c --xz  --owner=root --group=root -f data.tar.xz usr
	    -rm -r -f usr
	    -rm gorgclock_1.0.0-1_amd64.deb
	    ar q gorgclock_1.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -rm control.tar.xz data.tar.xz md5sums
	    -lintian --no-tag-display-limit gorgclock_1.0.0-1_amd64.deb

=== leafpad-src/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/leafpad
pkgincludedir = $(includedir)/leafpad
pkglibdir = $(libdir)/leafpad
pkglibexecdir = $(libexecdir)/leafpad
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure ABOUT-NLS AUTHORS COPYING ChangeLog \
	INSTALL NEWS compile config.guess config.sub depcomp \
	install-sh missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/first/mysites/smfg/soft/GORG64/leafpad-src/missing --run aclocal-1.11
ALL_LINGUAS = 
AMTAR = ${SHELL} /home/first/mysites/smfg/soft/GORG64/leafpad-src/missing --run tar
AUTOCONF = ${SHELL} /home/first/mysites/smfg/soft/GORG64/leafpad-src/missing --run autoconf
AUTOHEADER = ${SHELL} /home/first/mysites/smfg/soft/GORG64/leafpad-src/missing --run autoheader
AUTOMAKE = ${SHELL} /home/first/mysites/smfg/soft/GORG64/leafpad-src/missing --run automake-1.11
AWK = gawk
CATALOGS = 
CATOBJEXT = .gmo
CC = mold -run gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -flto -ffast-math -O4 -fPIE -pie -fomit-frame-pointer -funroll-loops  -fforce-addr -falign-functions=4 -msse4a -Wall
CPP = @CPP@
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
GETTEXT_PACKAGE = leafpad
GMOFILES = 
GMSGFMT = /usr/local/bin/msgfmt
GNOMEPRINT_CFLAGS = 
GNOMEPRINT_LIBS = 
GREP = /usr/bin/grep
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/sysprof-6 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/x86_64-linux-gnu -I/usr/include/webp -I/usr/include/atk-1.0 -pthread 
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz -lfontconfig -lfreetype 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/first/mysites/smfg/soft/GORG64/leafpad-src/missing --run makeinfo
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = .//mkinstalldirs
MSGFMT = /usr/local/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /usr/local/bin/msgmerge
OBJEXT = o
PACKAGE = leafpad
PACKAGE_BUGREPORT = tarot@sdf.lonestar.org
PACKAGE_NAME = Leafpad
PACKAGE_STRING = Leafpad 0.8.18.1
PACKAGE_TARNAME = leafpad
PACKAGE_URL = 
PACKAGE_VERSION = 0.8.18.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
USE_NLS = yes
VERSION = 0.8.18.1
XGETTEXT = /usr/local/bin/xgettext
abs_builddir = /home/first/mysites/smfg/soft/GORG64/leafpad-src
abs_srcdir = /home/first/mysites/smfg/soft/GORG64/leafpad-src
abs_top_builddir = /home/first/mysites/smfg/soft/GORG64/leafpad-src
abs_top_srcdir = /home/first/mysites/smfg/soft/GORG64/leafpad-src
ac_ct_CC = mold -run gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/first/mysites/smfg/soft/GORG64/leafpad-src/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = /usr/share/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /usr/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = src data po
EXTRA_DIST = \
	intltool-extract.in intltool-merge.in intltool-update.in

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \

=== notes/Makefile ===
all :
	    fpc -XX -CX -O4 gorg64_spkcompiler.pas
	    -rm *.o *.a *.ppu
	    -sstrip gorg64_spkcompiler
	    -upx gorg64_spkcompiler
	    -sstrip gorg64_spkcompiler
clean :
	    -rm *.o *.a *.ppu gorg64_spkcompiler

=== qed-new/Makefile ===
.SUFFIXES: .o .c .h
.PHONY: all clean install uninstall

CFLAGS=-flarge-source-files -flto -fPIE -pie -O4 -funroll-loops -msse4a -fforce-addr -falign-functions=4 -ffast-math -Wall -fno-builtin -pedantic
LDFLAGS=
CC=mold -run cc

INSTALL=install

LOCALD=$(HOME)/.qed

BINDIR=$(LOCALD)/bin
MANDIR=$(LOCALD)/man/man1
LIBDIR=$(LOCALD)/lib

QLIB=\
  q/*

HDRS=\
  vars.h \
  unix.h \
  funcs.h \
  utf.h \
  qed.h \

UNITS=\
  alloc \
  address \
  blkio \
  com \
  getchar \
  getfile \
  glob \
  main \
  misc \
  move \
  pattern \
  putchar \
  setaddr \
  string \
  subs \
  u \
  utf \

OBJS=$(UNITS:=.o)
SRCS=$(UNITS:=.c)

.c.o:
	$(CC) -c $(CFLAGS) $<

all: a.out

a.out: $(HDRS) $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS)
	-sstrip a.out

clean: 
	rm -f a.out *.o

install: a.out qed.1 $(QLIB) env
	$(INSTALL) -d $(BINDIR) $(LIBDIR) $(MANDIR)
	$(INSTALL) -s a.out $(BINDIR)/qed
	$(INSTALL) qed.1 $(MANDIR)
	$(INSTALL) $(QLIB) $(LIBDIR)
	$(INSTALL) env $(LOCALD)
	@echo ""
	@echo "Add the following line to your shell profile:"
	@echo ""
	@echo ". \"$(LOCALD)/env\""
	@echo ""
	@echo "Source the file: \"$(LOCALD)/env\" to update your current environemnt"

uninstall:
	rm -rf $(LOCALD)
	@echo ""
	@echo "Remove the following line from your shell profile:"
	@echo ""
	@echo ". \"$(LOCALD)/env\""
	@echo ""

=== debian/control ===
Source: gorg64
Section: text
Priority: optional
Maintainer: Alexander <aralni@mail.ru>
Uploaders:
 Alexander <aralni@mail.ru>
Build-Depends:
 debhelper-compat (= 13),
 nasm,
 fpc,
 gcc,
 libasound2-dev [linux-any],
 libaudio-dev,
 libjack-dev,
 libltdl-dev,
 libopenal-dev,
 libpulse-dev [!hurd-i386],
 pkg-config,
 portaudio19-dev
Standards-Version: 4.6.2
Homepage: http://soft.self-made-free.ru/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
Rules-Requires-Root: no

Package: gorg64
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 alsa-utils [linux-any],
 jackd,
 nas,
 oss-compat [linux-any],
 oss4-base [linux-any],
 pulseaudio
Description: MPEG layer 1/2/3 audio player
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains output plugins for several audio systems, including
 OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
 PulseAudio, OpenAL and the Network Audio System (NAS).
